Topics

Need a 4.19.9, or release 4.20?


Bob Jacobsen
 

We have one existing change that could motivate inclusion in 4.20 by way of 4.19.9:

webThrottle does not load - Issue https://github.com/JMRI/JMRI/issues/8734 - PR https://github.com/JMRI/JMRI/pull/8740

I haven’t been able to follow JMRIusers completely, but there seem to be another possible regression being raised about “Last Operated” and “Duration” not working: https://groups.io/g/jmriusers/topic/75122933#176135. https://github.com/JMRI/JMRI/issues/8745

And that one might be related to a mention-in-passing that LocoNet throttles were not releasing.

I’m happy to build a JMR 4.19.9 if there are fixes that people think need to be included in 4.20. Not so wild about 4.19.10 and 4.19.11 and …

What do people think?

Bob



Bob Jacobsen
@BobJacobsen


Dave Sand
 

Bob,

Issue #8742 is not a show stopper for most people. It does prevent adding or editing Routes using turnouts for people using XpressNet connections.

Dave Sand

----- Original message -----
From: Bob Jacobsen <@BobJacobsen>
To: jmri@jmri-developers.groups.io
Subject: [jmri-developers] Need a 4.19.9, or release 4.20?
Date: Sunday, June 28, 2020 3:11 PM

We have one existing change that could motivate inclusion in 4.20 by way of 4.19.9:

webThrottle does not load - Issue https://github.com/JMRI/JMRI/issues/8734 - PR https://github.com/JMRI/JMRI/pull/8740

I haven’t been able to follow JMRIusers completely, but there seem to be another possible regression being raised about “Last Operated” and “Duration” not working: https://groups.io/g/jmriusers/topic/75122933#176135. https://github.com/JMRI/JMRI/issues/8745

And that one might be related to a mention-in-passing that LocoNet throttles were not releasing.

I’m happy to build a JMR 4.19.9 if there are fixes that people think need to be included in 4.20. Not so wild about 4.19.10 and 4.19.11 and …

What do people think?

Bob



Bob Jacobsen
@BobJacobsen


Steve_G
 

#8226. If you get a throttle thru JMRI thick client throttle you can't release it. If a web throttle first started off as a JMRI thick client throttle then yes, releasing a web/wifi throttle won't work. But it only, I think, effects Digitrax.
Steve G.


On June 28, 2020 4:11:50 PM EDT, Bob Jacobsen <rgj1927@...> wrote:
We have one existing change that could motivate inclusion in 4.20 by way of 4.19.9:

webThrottle does not load - Issue https://github.com/JMRI/JMRI/issues/8734 - PR https://github.com/JMRI/JMRI/pull/8740

I haven’t been able to follow JMRIusers completely, but there seem to be another possible regression being raised about “Last Operated” and “Duration” not working: https://groups.io/g/jmriusers/topic/75122933#176135. https://github.com/JMRI/JMRI/issues/8745

And that one might be related to a mention-in-passing that LocoNet throttles were not releasing.

I’m happy to build a JMR 4.19.9 if there are fixes that people think need to be included in 4.20. Not so wild about 4.19.10 and 4.19.11 and …

What do people think?

Bob



Bob Jacobsen
rgj1927@...
Groups.io Links: You receive all messages sent to this group.

View/Reply Online (#3790): https://jmri-developers.groups.io/g/jmri/message/3790
Mute This Topic: https://groups.io/mt/75178643/786214
Group Owner: jmri+owner@jmri-developers.groups.io
Unsubscribe: https://jmri-developers.groups.io/g/jmri/leave/defanged [RailRodder@...]

--
Sent from my Android device with K-9 Mail. Please excuse my brevity.


steve young
 

Hi folks,

I've raised https://github.com/JMRI/JMRI/pull/8749

which fixes both the WiThrottle roster duration issue and the WiThrottle Throttle Release issue ( affecting any hardware which releases a throttle ).
Possibly more of an issue on systems with limited number of Throttle slots?

Is it a showstopper?  I'm not sure so no offence if deleted, it's there as an option :-)

Steve.


Bob Jacobsen
 

I’ve created a release-4.19.9 branch with PRs #8740 and #8749

Is that it for 4.19.9, i.e. can I go ahed and start making files?

Bob


Bob Jacobsen
@BobJacobsen


Dave Sand
 

Bob,

I think the fix for issue #8742 also needs to be included.

Dave Sand

----- Original message -----
From: Bob Jacobsen <@BobJacobsen>
To: jmri@jmri-developers.groups.io
Subject: Re: [jmri-developers] Need a 4.19.9, or release 4.20?
Date: Monday, June 29, 2020 4:29 PM

I’ve created a release-4.19.9 branch with PRs #8740 and #8749

Is that it for 4.19.9, i.e. can I go ahed and start making files?

Bob


Bob Jacobsen
@BobJacobsen